# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "maat_prover"
version = "0.16.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Zero knowledge STARK prover and verifier for the Maat programming language"
homepage = "https://github.com/maatlabs/maat"
readme = "README.md"
keywords = [
    "compiler",
    "maat",
    "zk",
    "prover",
    "verifier",
]
categories = [
    "compilers",
    "cryptography",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/maatlabs/maat"
resolver = "2"

[lib]
name = "maat_prover"
path = "src/lib.rs"

[dependencies.maat_air]
version = "0.16.0"

[dependencies.maat_errors]
version = "0.16.0"

[dependencies.maat_field]
version = "0.16.0"

[dependencies.maat_trace]
version = "0.16.0"

[dependencies.winter-crypto]
version = "0.13"

[dependencies.winter-prover]
version = "0.13"

[dependencies.winter-verifier]
version = "0.13"
